package it.eng.test.remote.helloservice;

import it.eng.test.remote.hello.IHello;

import java.util.Hashtable;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import ch.ethz.iks.r_osgi.RemoteOSGiService;

public class Activator implements BundleActivator {

	private BundleContext context;

	public BundleContext getContext() {
		return context;
	}
	@SuppressWarnings({ "rawtypes", "unchecked" })
	public void start(final BundleContext context) throws Exception {
	      final Hashtable properties = new Hashtable();
	      properties.put(RemoteOSGiService.R_OSGi_REGISTRATION, Boolean.TRUE);
	      context.registerService(IHello.class.getName(), new HelloService(), properties);
	      System.out.println("Service registered.");
	  }
	
	public void stop(BundleContext bundleContext) throws Exception {
		context = null;
	}

}
